package com.zhyc.module.produce.breed.service.impl;

import java.util.List;

import com.zhyc.module.produce.breed.domain.ScBreedPlan;
import com.zhyc.module.produce.breed.mapper.ScBreedPlanMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zhyc.module.produce.breed.service.IScBreedPlanService;

/**
 * 配种计划Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-07-16
 */
@Service
public class ScBreedPlanServiceImpl implements IScBreedPlanService 
{
    @Autowired
    private ScBreedPlanMapper scBreedPlanMapper;

    /**
     * 查询配种计划
     * 
     * @param id 配种计划主键
     * @return 配种计划
     */
    @Override
    public ScBreedPlan selectScBreedPlanById(Long id)
    {
        return scBreedPlanMapper.selectScBreedPlanById(id);
    }

    /**
     * 查询配种计划列表
     * 
     * @param scBreedPlan 配种计划
     * @return 配种计划
     */
    @Override
    public List<ScBreedPlan> selectScBreedPlanList(ScBreedPlan scBreedPlan)
    {
        return scBreedPlanMapper.selectScBreedPlanList(scBreedPlan);
    }

    /**
     * 新增配种计划
     * 
     * @param scBreedPlan 配种计划
     * @return 结果
     */
    @Override
    public int insertScBreedPlan(ScBreedPlan scBreedPlan)
    {
        return scBreedPlanMapper.insertScBreedPlan(scBreedPlan);
    }

    /**
     * 修改配种计划
     * 
     * @param scBreedPlan 配种计划
     * @return 结果
     */
    @Override
    public int updateScBreedPlan(ScBreedPlan scBreedPlan)
    {
        return scBreedPlanMapper.updateScBreedPlan(scBreedPlan);
    }

    /**
     * 批量删除配种计划
     * 
     * @param ids 需要删除的配种计划主键
     * @return 结果
     */
    @Override
    public int deleteScBreedPlanByIds(Long[] ids)
    {
        return scBreedPlanMapper.deleteScBreedPlanByIds(ids);
    }

    /**
     * 删除配种计划信息
     * 
     * @param id 配种计划主键
     * @return 结果
     */
    @Override
    public int deleteScBreedPlanById(Long id)
    {
        return scBreedPlanMapper.deleteScBreedPlanById(id);
    }
}
